Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 155427 - kernel dm-multipath: How to handle IO barriers?
Summary: kernel dm-multipath: How to handle IO barriers?
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: device-mapper-multipath
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Alasdair Kergon
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-20 08:52 UTC by Lars Marowsky-Bree
Modified: 2007-11-30 22:11 UTC (History)
7 users (show)

Fixed In Version: 2.6.12-rc2-udm1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-03-08 15:27:07 UTC


Attachments (Terms of Use)
Make dm-multipath report barriers as "not supported" (deleted)
2005-04-20 12:05 UTC, Lars Marowsky-Bree
no flags Details | Diff

Description Lars Marowsky-Bree 2005-04-20 08:52:41 UTC
How should IO barriers be handled - should they be short-circuited and disabled
in the mapping function directly, do we want to support them - which would
probably involve sending them down all paths -, or is there another option...?

I'm tending towards short circuiting them.

Comment 1 Lars Marowsky-Bree 2005-04-20 12:05:52 UTC
Created attachment 113406 [details]
Make dm-multipath report barriers as "not supported"

Comment 2 Alasdair Kergon 2005-04-21 18:16:54 UTC
We need IO barriers which don't carry any data; then we have to send them down
all the paths that might have unsynced IO on them, leading to fun interactions
with priority groups, switch_pg when paths haven't failed etc.

Until then they don't work so not supported.

Comment 3 Alasdair Kergon 2005-04-21 18:29:43 UTC
Added to 2.6.12-rc2-udm1.


Note You need to log in before you can comment on or make changes to this bug.